Criar documento
Este endpoint cria um novo documento, opcionalmente com arquivo, com os dados fornecidos.
POST
/DocumentEste endpoint cria um novo documento, opcionalmente com arquivo, com os dados fornecidos.
Autenticação
Autenticação obrigatória. Envie sua chave de API de usuário no header X-API-Key.
Parâmetros
Esta operação não possui parâmetros de rota, query ou header.
Corpo da requisição
Content type: multipart/form-data · Schema: object
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
file | string · binary | Não | — | — |
Id | integer · int32 | Não | — | — |
Title | string | Não | — | — |
Description | string | Não | — | — |
FileUrl | string | Não | — | — |
DocumentStatusId | integer · int32 | Não | — | — |
DocumentType | DocumentType | Não | — | — |
DocumentChecklistId | integer · int32 | Não | — | — |
Private | boolean | Não | — | — |
Exemplo de requisição
curl --request POST \
--url 'https://api.zild.ai/Document' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--form 'file=@file' \
--form 'Id={Id}' \
--form 'Title={Title}' \
--form 'Description={Description}' \
--form 'FileUrl={FileUrl}' \
--form 'DocumentStatusId={DocumentStatusId}' \
--form 'DocumentType={DocumentType}' \
--form 'DocumentChecklistId={DocumentChecklistId}' \
--form 'Private={Private}'
Respostas
| Status | Descrição | Corpo da resposta |
|---|---|---|
200 | Documento criado com sucesso | application/json · DocumentCreateResponseDto |
Exemplo de resposta (200):
{
"id": 0,
"title": "string",
"description": "string",
"extractedText": "string",
"analysisText": "string",
"fileUrl": "string",
"documentStatusId": 0,
"documentType": 0,
"createdAt": "2026-09-22T18:00:00Z",
"analizedAt": "2026-09-22T18:00:00Z",
"documentChecklistId": 0,
"private": true
}
Modelos de dados
DocumentCreateResponseDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
title | string | Não | — | aceita null |
description | string | Não | — | aceita null |
extractedText | string | Não | — | aceita null |
analysisText | string | Não | — | aceita null |
fileUrl | string | Não | — | aceita null |
documentStatusId | integer · int32 | Não | — | — |
documentType | DocumentType | Não | — | — |
createdAt | string · date-time | Não | — | aceita null |
analizedAt | string · date-time | Não | — | aceita null |
documentChecklistId | integer · int32 | Não | — | — |
private | boolean | Não | — | — |
DocumentType
0 = Image; 1 = Word; 2 = PDF; 3 = Text
integer